Subject: Re: bug#32823: 26.1; nxml-mode: "no matching start-tag" with long entity definition list

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Sep 2018 20:26:39 +0300

> From: Moritz Bunkus <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 24 Sep 2018 19:12:59 +0200
> 
> Doh, stupid me. I made a copy & paste error in my example file. The
> offending line is:
> 
> <!ENTITY &product; "myprog">
> 
> which should read:
> 
> <!ENTITY product "myprog">
> 
> After that change the result will be valid again. Sorry about that.

Right, this settled it.

> > Maybe I'm not reproducing this correctly, but in my case it emits the
> > same error even after removing the ent5 line.
> 
> If removing ent5 isn't enough, try removing more entries. You can also
> remove all of the definitions including the [ … ] parenthesis, leaving you
> with just
> 
> …
> <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
> 
> <refentry lang="en">
> …
> 
> At this point C-c C-f should work at the latest.

I cannot seem to make it work here whatever I do, sorry.